CairoGradientPattern::setExtend
CairoSolidPattern::__construct
Cairo
PHP Manual

# The CairoSolidPattern class

(PECL cairo >= 0.1.0)

## Introduction

## Class synopsis

CairoSolidPattern extends CairoPattern {
/* Methods */
public __construct ( float `$red` , float `$green` , float `$blue` [, float `$alpha` = 0 ] )
public array getRgba ( void )
/* Inherited methods */
public CairoPattern::__construct ( void )
public void CairoPattern::getMatrix ( void )
public int CairoPattern::getType ( void )
public void CairoPattern::setMatrix ( string `$matrix` )
public int CairoPattern::status ( void )
}

## Table of Contents

- CairoSolidPattern::__construct — The __construct purpose
- CairoSolidPattern::getRgba — The getRgba purpose

CairoGradientPattern::setExtend
CairoSolidPattern::__construct
Cairo
PHP Manual